Modify

Opened 7 years ago

Closed 7 years ago

#7719 closed defect (fixed)

[Patch] Can't undelete anything as undelete plugin (v28376) is completely broken

Reported by: rickmastfan67 Owned by: team
Priority: blocker Milestone:
Component: Plugin undelete Version: latest
Keywords: Cc:

Description (last modified by rickmastfan67)

Seems like the latest update to the undelete plugin completely broke it.

I just tried to undelete something and I put in a valid ID way # (use way 11681097 as an example), yet the background stayed red. So, I then anyways hit the undelete button and it takes me to 0,0 and doesn't undelete anything.

Just thought I would give you a heads up about this!

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-05-19 01:31:04
Last Changed Author: bastiK
Revision: 5241
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-05-18 12:45:10 +0200 (Fri, 18 May 2012)
Last Changed Rev: 5241

Identification: JOSM/1.5 (5241 en)
Memory Usage: 218 MB / 2730 MB (116 MB allocated, but free)
Java version: 1.6.0_32, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (27852)
Plugin: buildings_tools (27984)
Plugin: licensechange (27964)
Plugin: mapdust (27884)
Plugin: measurement (27957)
Plugin: openstreetbugs (27852)
Plugin: reverter (28089)
Plugin: turnrestrictions (27891)
Plugin: undelete (28376)
Plugin: utilsplugin2 (28350)

Attachments (1)

7719.patch (5.9 KB) - added by simon04 7 years ago.

Download all attachments as: .zip

Change History (13)

comment:1 Changed 7 years ago by rickmastfan67

Description: modified (diff)

comment:2 Changed 7 years ago by rickmastfan67

I just tried with a brand new preference folder and re-downloaded just the undelete plugin and I still can't get it to work. :(

Can somebody please fix this plugin? It's a really important one for me in case I need to just recover item(s) that somebody accidentally deleted.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-05-28 01:31:03
Last Changed Author: simon04
Revision: 5248
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-05-27 14:30:51 +0200 (Sun, 27 May 2012)
Last Changed Rev: 5248

Identification: JOSM/1.5 (5248 en)
Memory Usage: 154 MB / 2730 MB (77 MB allocated, but free)
Java version: 1.6.0_32, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7
Dataset consistency test: No problems found

Plugin: undelete (28376)

comment:3 Changed 7 years ago by rickmastfan67

Summary: Can't undelete anything as undelete plugin is completely brokenCan't undelete anything as undelete plugin (v28376) is completely broken

comment:4 Changed 7 years ago by simon04

Instead of 11681097, use w11681097. I can get some way back.

If this solves the problem, the UI should be improved.

comment:5 in reply to:  4 Changed 7 years ago by rickmastfan67

Replying to simon04:

Instead of 11681097, use w11681097. I can get some way back.

If this solves the problem, the UI should be improved.

It does work then.

But before the latest update of the plugin, I was able to just put in the # of the way in the box when I had the "Way" option (or the other two) selected.

So, I guess this could be considered a partial regression.

comment:6 Changed 7 years ago by simon04

My suggestion is to drop the type box and request IDs to be entered in the form [type][id], e.g., n1 w123. This also allows to undelete objects of different type.

Changed 7 years ago by simon04

Attachment: 7719.patch added

comment:7 Changed 7 years ago by simon04

Summary: Can't undelete anything as undelete plugin (v28376) is completely broken[Patch] Can't undelete anything as undelete plugin (v28376) is completely broken

comment:8 Changed 7 years ago by skyper

Why not just use the same methode as "DownloadObject" ?

comment:9 in reply to:  8 ; Changed 7 years ago by simon04

Replying to skyper:

Why not just use the same methode as "DownloadObject" ?

Basically to keep things simple and not have to duplicate code. As this plugin is presumably used by expert users, I do not see a problem …

comment:10 in reply to:  9 Changed 7 years ago by skyper

Replying to simon04:

Replying to skyper:

Why not just use the same methode as "DownloadObject" ?

Basically to keep things simple and not have to duplicate code. As this plugin is presumably used by expert users, I do not see a problem …

No problem with me.
Thought it is possible to use code from core within plugins.

Actually I was hoping to get an option to choose the server on every download action (object by id, relation members) but I guess I need to change the entry in the prefs for that.

comment:11 Changed 7 years ago by simon04

Not w/o refacturing the core, which shouldn't be done in the stabilization phase. Afterwards the new plugin wouldn't be available for tested users … I'd keep it simple for now :-).

comment:12 Changed 7 years ago by simon04

Resolution: fixed
Status: newclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.